Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Delete a pipeline stage

Deletes a stage and removes its components from the pipeline.

DELETE/project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
project_iduuidrequired

The unique identifier for the project

environment_iduuidrequired

The unique identifier of the environment

pipeline_iduuidrequired

The unique identifier for the pipeline

pipeline_stage_iduuidrequired

The unique identifier for the pipeline stage

Responses
204

Pipeline stage deleted successfully

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X DELETE 'https://api.kapten.io/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/environment/497f6eca-6276-4993-bfeb-53cbbbba6f08/pipelines/497f6eca-6276-4993-bfeb-53cbbbba6f08/stages/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Pipeline stage deleted successfully

Was this page helpful?